Package org.italiangrid.voms.ac.impl

# Class DefaultLocalHostnameResolver

java.lang.Object
org.italiangrid.voms.ac.impl.DefaultLocalHostnameResolver

All Implemented Interfaces:
  `LocalHostnameResolver`

public class DefaultLocalHostnameResolver extends Object implements LocalHostnameResolver
The default implementation for localhost name resolver. The localhost name is resolved using the following code:

     		InetAddress.getLocalHost().getCanonicalHostName();

## Constructor Summary

Constructors
Constructor
Description
`DefaultLocalHostnameResolver()`

## Method Summary

Modifier and Type
Method
Description
`String`
`resolveLocalHostname()`
Resolves the hostname for localhost

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultLocalHostnameResolver

public DefaultLocalHostnameResolver()

## Method Details

### resolveLocalHostname

public String resolveLocalHostname() throws UnknownHostException
Description copied from interface: `LocalHostnameResolver`
Resolves the hostname for localhost

Specified by:
  `resolveLocalHostname` in interface `LocalHostnameResolver`
Returns:
  a String containing the localhost hostname
Throws:
  `UnknownHostException` - when there is an error resolving the hostname